import Promise = require('bluebird');
import * as Mongo from 'mongodb';
import * as dotenv from 'dotenv';

import { MongoRepository } from "../repository/MongoRepository";

dotenv.config({ path: ".env" });

class MongoDataSource implements MongoRepository 
{
	MongoClient;
	static Database;

	constructor()
	{
		this.MongoClient = Mongo.MongoClient;
	}

	init(callback)
	{
		this.MongoClient.connect(process.env.MONGO_URL, (err, database) => {
		  if (err) {
		  	callback(err)
		  	return
		  }
		  MongoDataSource.Database = database
			callback(null)
		})
	}


	//Write database static methods here

}

export { MongoDataSource };