import * as SDK from '@maildots/sdk';
import Promise = require('bluebird')
import * as dotenv from 'dotenv';

import { SDKRepository } from "../repository/SDKRepository";

dotenv.config({ path: ".env" });

class SDKDataSource implements SDKRepository
{
	msgClient: SDK.MessageClient;

	constructor() 
	{
		this.msgClient = new SDK.MessageClient();
	}

	sendHiMsg(to_address): Promise 
	{
		return new Promise((resolve) => {
			var to = new SDK.Receiver('',to_address)
			var content = 'Hello! 😎'
			var msg = new SDK.Message([to], content).subject('Awesome Bot')
			
			this.msgClient.sendMessage(msg, (data) => {
				console.log("Message Sent: " + data.message_id)
				resolve(data)
			})
		})
	}

	
}

export { SDKDataSource };